=== debian/changelog ===
haproxy (1.5.8-3~bpo60+1) squeeze-backports-sloppy; urgency=medium

  * Rebuild for squeeze-backports-sloppy.
     + Depends on debhelper 7 instead of 9.
     + Don't depends on dh-systemd.
     + Don't build documentation.
     + Use /var/run instead of /run.
     + Don't use start-stop-daemon to kill (--pid isn't available).

 -- Vincent Bernat <bernat@debian.org>  Sat, 02 May 2015 22:07:15 +0200

haproxy (1.5.8-3) unstable; urgency=medium

  * Remove RC4 from the default cipher string shipped in configuration.

 -- Vincent Bernat <bernat@debian.org>  Fri, 27 Feb 2015 11:29:23 +0100

haproxy (1.5.8-2) unstable; urgency=medium

  * Cherry-pick the following patches from 1.5.9 release:
      - 8a0b93bde77e BUG/MAJOR: sessions: unlink session from list on out
                                of memory
      - bae03eaad40a BUG/MEDIUM: pattern: don't load more than once a pattern
                                 list.
      - 93637b6e8503 BUG/MEDIUM: connection: sanitize PPv2 header length before
                                 parsing address information
      - 8ba50128832b BUG/MAJOR: frontend: initialize capture pointers earlier
      - 1f96a87c4e14 BUG/MEDIUM: checks: fix conflicts between agent checks and
                                 ssl healthchecks
      - 9bcc01ae2598 BUG/MEDIUM: ssl: force a full GC in case of memory shortage
      - 909514970089 BUG/MEDIUM: ssl: fix bad ssl context init can cause
                                 segfault in case of OOM.
  * Cherry-pick the following patches from future 1.5.10 release:
      - 1e89acb6be9b BUG/MEDIUM: payload: ensure that a request channel is
                                 available
      - bad3c6f1b6d7 BUG/MEDIUM: patterns: previous fix was incomplete

 -- Vincent Bernat <bernat@debian.org>  Sun, 07 Dec 2014 11:11:21 +0100

haproxy (1.5.8-1) unstable; urgency=medium

  * New upstream stable release including the following fixes:

     + BUG/MAJOR: buffer: check the space left is enough or not when input
                  data in a buffer is wrapped
     + BUG/MINOR: ssl: correctly initialize ssl ctx for invalid certificates
     + BUG/MEDIUM: tcp: don't use SO_ORIGINAL_DST on non-AF_INET sockets
     + BUG/MEDIUM: regex: fix pcre_study error handling
     + BUG/MEDIUM: tcp: fix outgoing polling based on proxy protocol
     + BUG/MINOR: log: fix request flags when keep-alive is enabled
     + BUG/MAJOR: cli: explicitly call cli_release_handler() upon error
     + BUG/MEDIUM: http: don't dump debug headers on MSG_ERROR
  * Also includes the following new features:
     + MINOR: ssl: add statement to force some ssl options in global.
     + MINOR: ssl: add fetchs 'ssl_c_der' and 'ssl_f_der' to return DER
              formatted certs
  * Disable SSLv3 in the default configuration file.

 -- Vincent Bernat <bernat@debian.org>  Fri, 31 Oct 2014 13:48:19 +0100
