=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

MAKEARGS=DESTDIR=debian/haproxy \
	 PREFIX=/usr \
	 IGNOREGIT=true \
	 MANDIR=/usr/share/man \
	 DOCDIR=/usr/share/doc/haproxy \
	 USE_PCRE=1 PCREDIR= \
	 USE_OPENSSL=1 \
	 USE_ZLIB=1

OS_TYPE = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifeq ($(OS_TYPE),linux)
        MAKEARGS+= TARGET=linux2628
else ifeq ($(OS_TYPE),kfreebsd)
        MAKEARGS+= TARGET=freebsd
else
	MAKEARGS+= TARGET=generic
endif

ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_CPU),i386)
	MAKEARGS+= USE_REGPARM=1
endif

MAKEARGS += CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)"
MAKEARGS += LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	make $(MAKEARGS)
	make -C contrib/systemd $(MAKEARGS)
	dh_auto_build -Dcontrib/halog

override_dh_auto_clean:
	make -C contrib/systemd clean
	dh_auto_clean
	dh_auto_clean -Dcontrib/halog
	-rm $(CURDIR)/doc/configuration.html

override_dh_auto_install:
	make $(MAKEARGS) install
	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/49-haproxy.conf
	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy

override_dh_installdocs:
	dh_installdocs -Xsystemd/ -Xhalog/
	rm -f debian/haproxy/usr/share/doc/haproxy/haproxy-fr.txt
	rm -f debian/haproxy/usr/share/doc/haproxy/haproxy-en.txt

override_dh_installexamples:
	dh_installexamples -X build.cfg

override_dh_installinit:
	dh_installinit --no-restart-on-upgrade

override_dh_strip:
	dh_strip --dbg-package=haproxy-dbg
