## haproxy 1.5.10

=== debian/changelog ===
haproxy (1.5.10-1ubuntu0.1) vivid-security; urgency=medium

  * SECURITY UPDATE: information disclosure via uninitialized memory
    - debian/patches/CVE-2015-3281.patch: respect output data in
      src/buffer.c.
    - CVE-2015-3281

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 06 Jul 2015 16:19:52 -0400

haproxy (1.5.10-1) experimental; urgency=medium

  * New upstream stable release including the following fixes:
      - BUG/MAJOR: stream-int: properly check the memory allocation return
      - BUG/MEDIUM: sample: fix random number upper-bound
      - BUG/MEDIUM: patterns: previous fix was incomplete
      - BUG/MEDIUM: payload: ensure that a request channel is available
      - BUG/MEDIUM: tcp-check: don't rely on random memory contents
      - BUG/MEDIUM: tcp-checks: disable quick-ack unless next rule is an expect
      - BUG/MEDIUM: config: do not propagate processes between stopped
                    processes
      - BUG/MEDIUM: memory: fix freeing logic in pool_gc2()
      - BUG/MEDIUM: compression: correctly report zlib_mem
  * Upload to experimental.

 -- Vincent Bernat <bernat@debian.org>  Sun, 04 Jan 2015 13:17:56 +0100

haproxy (1.5.9-1) experimental; urgency=medium

  * New upstream stable release including the following fixes:
      - BUG/MAJOR: sessions: unlink session from list on out
                   of memory
      - BUG/MEDIUM: pattern: don't load more than once a pattern
                    list.
      - BUG/MEDIUM: connection: sanitize PPv2 header length before
                    parsing address information
      - BUG/MAJOR: frontend: initialize capture pointers earlier
      - BUG/MEDIUM: checks: fix conflicts between agent checks and
                    ssl healthchecks
      - BUG/MEDIUM: ssl: force a full GC in case of memory shortage
      - BUG/MEDIUM: ssl: fix bad ssl context init can cause
                                 segfault in case of OOM.
  * Upload to experimental.

 -- Vincent Bernat <bernat@debian.org>  Sun, 07 Dec 2014 16:37:36 +0100
