## haproxy 1.5.12

=== debian/changelog ===
haproxy (1.5.12-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Fri, 08 May 2015 23:40:22 +0200

haproxy (1.5.12-1) unstable; urgency=medium

  * New upstream stable release including the following fixes:
    - BUG/MAJOR: http: don't read past buffer's end in http_replace_value
    - BUG/MAJOR: http: prevent risk of reading past end with balance
                 url_param
    - BUG/MEDIUM: Do not consider an agent check as failed on L7 error
    - BUG/MEDIUM: patern: some entries are not deleted with case
                  insensitive match
    - BUG/MEDIUM: buffer: one byte miss in buffer free space check
    - BUG/MEDIUM: http: thefunction "(req|res)-replace-value" doesn't
                  respect the HTTP syntax
    - BUG/MEDIUM: peers: correctly configure the client timeout
    - BUG/MEDIUM: http: hdr_cnt would not count any header when called
                  without name
    - BUG/MEDIUM: listener: don't report an error when resuming unbound
                  listeners
    - BUG/MEDIUM: init: don't limit cpu-map to the first 32 processes only
    - BUG/MEDIUM: stream-int: always reset si->ops when si->end is
                  nullified
    - BUG/MEDIUM: http: remove content-length from chunked messages
    - BUG/MEDIUM: http: do not restrict parsing of transfer-encoding to
                  HTTP/1.1
    - BUG/MEDIUM: http: incorrect transfer-coding in the request is a bad
                  request
    - BUG/MEDIUM: http: remove content-length form responses with bad
                  transfer-encoding
    - BUG/MEDIUM: http: wait for the exact amount of body bytes in
                  wait_for_request_body

 -- Vincent Bernat <bernat@debian.org>  Sat, 02 May 2015 16:38:28 +0200

haproxy (1.5.11-2) unstable; urgency=medium

  * Upload to unstable.

 -- Vincent Bernat <bernat@debian.org>  Sun, 26 Apr 2015 17:46:58 +0200

haproxy (1.5.11-1) experimental; urgency=medium

  * New upstream stable release including the following fixes:
    - BUG/MAJOR: log: don't try to emit a log if no logger is set
    - BUG/MEDIUM: backend: correctly detect the domain when
                  use_domain_only is used
    - BUG/MEDIUM: Do not set agent health to zero if server is disabled
                  in config
    - BUG/MEDIUM: Only explicitly report "DOWN (agent)" if the agent health
                  is zero
    - BUG/MEDIUM: http: fix header removal when previous header ends with
                  pure LF
    - BUG/MEDIUM: channel: fix possible integer overflow on reserved size
                  computation
    - BUG/MEDIUM: channel: don't schedule data in transit for leaving until
                  connected
    - BUG/MEDIUM: http: make http-request set-header compute the string
                  before removal
  * Upload to experimental.

 -- Vincent Bernat <bernat@debian.org>  Sun, 01 Feb 2015 09:22:27 +0100
