=== debian/rules ===
--- 
+++ 
@@ -29,14 +29,22 @@
 MAKEARGS += LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
 
 %:
-	dh $@
+	dh $@ --with systemd
 
 override_dh_auto_configure:
 
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	make $(MAKEARGS)
 	make -C contrib/systemd $(MAKEARGS)
 	dh_auto_build -Dcontrib/halog
+
+override_dh_auto_build-indep:
+	# Build the HTML documentation, after patching dconv
+	patch -p1 < $(CURDIR)/debian/patches/debianize-dconv.patch
+	python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
+		-i $(CURDIR)/doc/configuration.txt \
+		-o $(CURDIR)/doc/configuration.html
+	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
 
 override_dh_auto_clean:
 	make -C contrib/systemd clean
@@ -44,10 +52,12 @@
 	dh_auto_clean -Dcontrib/halog
 	-rm $(CURDIR)/doc/configuration.html
 
-override_dh_auto_install:
+override_dh_auto_install-arch:
 	make $(MAKEARGS) install
 	install -m 0644 -D debian/rsyslog.conf debian/haproxy/etc/rsyslog.d/49-haproxy.conf
 	install -m 0644 -D debian/logrotate.conf debian/haproxy/etc/logrotate.d/haproxy
+
+override_dh_auto_install-indep:
 
 override_dh_installdocs:
 	dh_installdocs -Xsystemd/ -Xhalog/
