=== debian/changelog ===
haproxy (1.6.3-1ubuntu0.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Messages with transfer-encoding header missing "chunked"
    value were not being correctly rejected
    - debian/patches/CVE-2019-18277.patch: also reject messages where
      "chunked" is missing from transfer-enoding in.
      src/proto_http.c.
    - CVE-2019-18277

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 25 Oct 2019 13:12:29 -0300

haproxy (1.6.3-1ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds read
    - debian/patches/CVE-2018-20102.patch: check the bounds
      in src/dns.c.
    - CVE-2018-20102

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 11 Jan 2019 10:34:44 -0300

haproxy (1.6.3-1ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: denial of service via reqdeny
    - debian/patches/CVE-2016-5360.patch: use temporary variable to store
      status in include/types/proto_http.h, src/proto_http.c.
    - CVE-2016-5360

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Jun 2016 09:35:08 +0300

haproxy (1.6.3-1) unstable; urgency=medium

  [ Apollon Oikonomopoulos ]
  * haproxy.init: use s-s-d's --pidfile option.
    Thanks to Louis Bouchard (Closes: 804530)

  [ Vincent Bernat ]
  * watch: fix d/watch to look for 1.6 version
  * Imported Upstream version 1.6.3

 -- Vincent Bernat <bernat@debian.org>  Thu, 31 Dec 2015 08:10:10 +0100

haproxy (1.6.2-2) unstable; urgency=medium

  * Enable USE_REGPARM on amd64 as well.

 -- Vincent Bernat <bernat@debian.org>  Tue, 03 Nov 2015 21:21:30 +0100

haproxy (1.6.2-1) unstable; urgency=medium

  * New upstream release.
    - BUG/MAJOR: dns: first DNS response packet not matching queried
                      hostname may lead to a loop
    - BUG/MAJOR: http: don't requeue an idle connection that is already
                       queued
  * Upload to unstable.

 -- Vincent Bernat <bernat@debian.org>  Tue, 03 Nov 2015 13:36:22 +0100

haproxy (1.6.1-2) experimental; urgency=medium

  * Build the Lua manpage in -arch, fixes FTBFS in binary-only builds.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 22 Oct 2015 12:19:41 +0300

haproxy (1.6.1-1) experimental; urgency=medium

  [ Vincent Bernat ]
  * New upstream release.
    - BUG/MAJOR: ssl: free the generated SSL_CTX if the LRU cache is
                      disabled
  * Drop 0001-BUILD-install-only-relevant-and-existing-documentati.patch.

  [ Apollon Oikonomopoulos ]
  * Ship and generate Lua API documentation.

 -- Vincent Bernat <bernat@debian.org>  Thu, 22 Oct 2015 10:45:55 +0200

haproxy (1.6.0+ds1-1) experimental; urgency=medium

  * New upstream release!
  * Add a patch to fix documentation installation:
    + 0001-BUILD-install-only-relevant-and-existing-documentati.patch
  * Update HAProxy documentation converter to a more recent version.

 -- Vincent Bernat <bernat@debian.org>  Wed, 14 Oct 2015 17:29:19 +0200

haproxy (1.6~dev7-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Tue, 06 Oct 2015 16:01:26 +0200

haproxy (1.6~dev5-1) experimental; urgency=medium

  * New upstream release.

 -- Vincent Bernat <bernat@debian.org>  Mon, 14 Sep 2015 15:50:28 +0200

haproxy (1.6~dev4-1) experimental; urgency=medium

  * New upstream release.
  * Refresh debian/copyright.

 -- Vincent Bernat <bernat@debian.org>  Sun, 30 Aug 2015 23:54:10 +0200

haproxy (1.6~dev3-1) experimental; urgency=medium

  * New upstream release.
  * Enable Lua support.

 -- Vincent Bernat <bernat@debian.org>  Sat, 15 Aug 2015 17:51:29 +0200

haproxy (1.5.15-1) unstable; urgency=medium

  * New upstream stable release including the following fix:
    - BUG/MAJOR: http: don't call http_send_name_header() after an error

 -- Vincent Bernat <bernat@debian.org>  Mon, 02 Nov 2015 07:34:19 +0100
