=== debian/control ===
--- 
+++ 
@@ -4,11 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
-           Prach Pongpanich <prachpub@gmail.com>,
+           Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), libpcre3-dev, libssl-dev,
-               dh-systemd (>= 1.5)
+Build-Depends: debhelper (>= 9),
+               libpcre3-dev,
+               libssl-dev,
+               liblua5.3-dev,
+               dh-systemd (>= 1.5),
+               python-sphinx (>= 1.0.7+dfsg)
 Build-Depends-Indep: python, python-mako
 Homepage: http://haproxy.1wt.eu/
 Vcs-Git: git://anonscm.debian.org/pkg-haproxy/haproxy.git
@@ -43,7 +47,8 @@
 Section: doc
 Priority: extra
 Architecture: all
-Depends: ${misc:Depends}, libjs-twitter-bootstrap (<< 3), libjs-jquery
+Depends: ${misc:Depends}, libjs-bootstrap (<< 4), libjs-jquery,
+ ${sphinxdoc:Depends}
 Description: fast and reliable load balancing reverse proxy (HTML documentation)
  HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
  availability environments. It features connection persistence through HTTP
