=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,9 @@
 	 DOCDIR=/usr/share/doc/haproxy \
 	 USE_PCRE=1 PCREDIR= \
 	 USE_OPENSSL=1 \
-	 USE_ZLIB=1
+	 USE_ZLIB=1 \
+	 USE_LUA=1 \
+	 LUA_INC=/usr/include/lua5.3
 
 OS_TYPE = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
@@ -21,7 +23,9 @@
 	MAKEARGS+= TARGET=generic
 endif
 
-ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_CPU),i386)
+ifneq ($(filter amd64 i386, $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)),)
+	MAKEARGS+= USE_REGPARM=1
+else ifeq ($(shell dpkg-architecture -qDEB_HOST_ARCH_CPU),amd64)
 	MAKEARGS+= USE_REGPARM=1
 endif
 
@@ -29,7 +33,7 @@
 MAKEARGS += LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
 
 %:
-	dh $@ --with systemd
+	dh $@ --with systemd,sphinxdoc
 
 override_dh_auto_configure:
 
@@ -37,6 +41,7 @@
 	make $(MAKEARGS)
 	make -C contrib/systemd $(MAKEARGS)
 	dh_auto_build -Dcontrib/halog
+	$(MAKE) -C doc/lua-api man
 
 override_dh_auto_build-indep:
 	# Build the HTML documentation, after patching dconv
@@ -44,13 +49,17 @@
 	python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
 		-i $(CURDIR)/doc/configuration.txt \
 		-o $(CURDIR)/doc/configuration.html
+	python -B $(CURDIR)/debian/dconv/haproxy-dconv.py \
+		-i $(CURDIR)/doc/intro.txt \
+		-o $(CURDIR)/doc/intro.html
 	patch -p1 -R < $(CURDIR)/debian/patches/debianize-dconv.patch
+	$(MAKE) -C doc/lua-api html
 
 override_dh_auto_clean:
 	make -C contrib/systemd clean
+	$(MAKE) -C doc/lua-api clean
 	dh_auto_clean
 	dh_auto_clean -Dcontrib/halog
-	-rm $(CURDIR)/doc/configuration.html
 
 override_dh_auto_install-arch:
 	make $(MAKEARGS) install
@@ -61,8 +70,6 @@
 
 override_dh_installdocs:
 	dh_installdocs -Xsystemd/ -Xhalog/
-	rm -f debian/haproxy/usr/share/doc/haproxy/haproxy-fr.txt
-	rm -f debian/haproxy/usr/share/doc/haproxy/haproxy-en.txt
 
 override_dh_installexamples:
 	dh_installexamples -X build.cfg
