## haproxy 1.6.4

=== debian/changelog ===
haproxy (1.6.4-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    + Restore haproxy-dbg package.

 -- Vincent Bernat <bernat@debian.org>  Thu, 24 Mar 2016 20:43:50 +0100

haproxy (1.6.4-3) unstable; urgency=medium

  * d/init: remove support for dynamic script name. This enable haproxy to
    be started on boot.

 -- Vincent Bernat <bernat@debian.org>  Thu, 24 Mar 2016 20:36:08 +0100

haproxy (1.6.4-2) unstable; urgency=medium

  * d/init: fix SysV init script w/ respect to handling EXTRAOPTS on check.
  * d/control: add Pre-Depends for dpkg-maintscript-helper support of
    dir_to_symlink.

 -- Vincent Bernat <bernat@debian.org>  Sat, 19 Mar 2016 16:35:20 +0100

haproxy (1.6.4-1) unstable; urgency=medium

  * New upstream release (see CHANGELOG):
    + BUG/MAJOR: http-reuse: fix risk of orphaned connections.
    + BUG/MAJOR: lua: applets can't sleep.
    + BUG/MAJOR: samples: check smp->strm before using it. 
    + BUG/MAJOR: servers state: server port is erased when dns resolution is
      enabled on a server.
    + BUG/MAJOR: vars: always retrieve the stream and session from the sample
    + BUG/MEDIUM: buffers: do not round up buffer size during allocation
    + BUG/MEDIUM: dns: no DNS resolution happens if no ports provided to the
      nameserver
    + BUG/MEDIUM: servers state: server port is used uninitialized
    + BUG/MEDIUM: config: Adding validation to stick-table expire value.
    + BUG/MEDIUM: sample: http_date() doesn't provide the right day of the
      week
    + BUG/MEDIUM: channel: fix miscalculation of available buffer space.
    + BUG/MEDIUM: http-reuse: do not share private connections across backends
    + BUG/MEDIUM: ssl: fix off-by-one in ALPN list allocation
    + BUG/MEDIUM: ssl: fix off-by-one in NPN list allocation
    + BUG/MEDIUM: stats: stats bind-process doesn't propagate the process mask
      correctly
    + BUG/MEDIUM: chunks: always reject negative-length chunks
    + BUG/MEDIUM: cfgparse: wrong argument offset after parsing server "sni"
      keyword

  [ Vincent Bernat ]
  * haproxy.init: append ${EXTRAOPTS} when verifying configuration file.
  * haproxy.init: move EXTRAOPTS after all other parameters.
  * haproxy.init: management of multiple HAProxy instances with SysV
    init.d script, courtesy of Ivan Savcic.

  [ Apollon Oikonomopoulos ]
  * Bump standards to 3.9.7:
    + haproxy-doc: move the additional documentation from
      /usr/share/doc/haproxy-doc to /usr/share/doc/haproxy, as per the
      recommendation in Policy §12.3.
    + Add compatibility symlinks from /usr/share/doc/haproxy-doc to
      /usr/share/doc/haproxy.
  * Enable all hardening flags.
  * d/control: use HTTPS for Vcs-*
  * Use www.haproxy.org as the project's homepage in d/control and
    d/copyright.
  * d/copyright: adjust debian/* years.
  * Add basic DEP-8 tests.
  * Drop the haproxy-dbg binary package in favor of ddebs.
  * haproxy-doc:
    + Use dpkg-maintscript-helper dir_to_symlink for the compatibility
      symlinks.
    + Add Lua documentation doc-base entry.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 15 Mar 2016 21:04:11 +0200

haproxy (1.6.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Tue, 05 Jan 2016 19:32:45 +0100

haproxy (1.5.14-1~bpo8+1) jessie-backports; urgency=high

  * Rebuild for jessie-backports.

 -- Vincent Bernat <bernat@debian.org>  Sat, 04 Jul 2015 07:48:45 +0200
