=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: haproxy
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
+Maintainer: Debian HAProxy Maintainers <pkg-haproxy-maintainers@lists.alioth.debian.org>
 Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>,
            Prach Pongpanich <prach@debian.org>,
            Vincent Bernat <bernat@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9),
                libpcre3-dev,
                libssl-dev,
@@ -14,13 +13,14 @@
                dh-systemd (>= 1.5),
                python-sphinx (>= 1.0.7+dfsg)
 Build-Depends-Indep: python, python-mako
-Homepage: http://haproxy.1wt.eu/
-Vcs-Git: git://anonscm.debian.org/pkg-haproxy/haproxy.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haproxy/haproxy.git
+Homepage: http://www.haproxy.org/
+Vcs-Git: https://anonscm.debian.org/git/pkg-haproxy/haproxy.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-haproxy/haproxy.git
 
 Package: haproxy
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
+Pre-Depends: dpkg (>= 1.17.14)
 Suggests: vim-haproxy, haproxy-doc
 Description: fast and reliable load balancing reverse proxy
  HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
@@ -49,6 +49,7 @@
 Architecture: all
 Depends: ${misc:Depends}, libjs-bootstrap (<< 4), libjs-jquery,
  ${sphinxdoc:Depends}
+Pre-Depends: dpkg (>= 1.17.14)
 Description: fast and reliable load balancing reverse proxy (HTML documentation)
  HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
  availability environments. It features connection persistence through HTTP
